Package it.ernytech.tdlib

## Class TdApi.SetNotificationSettings

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetNotificationSettings

Enclosing class:
  TdApi

    public static class TdApi.SetNotificationSettings
    extends TdApi.Function

Changes notification settings for a given scope.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.NotificationSettings` `notificationSettings` The new notification settings for the given scope.
`TdApi.NotificationSettingsScope` `scope` Scope for which to change the notification settings.

### Constructor Summary

Constructors
`SetNotificationSettings()` Default constructor.
`SetNotificationSettings​(TdApi.NotificationSettingsScope scope, TdApi.NotificationSettings notificationSettings)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### scope

    public TdApi.NotificationSettingsScope scope

Scope for which to change the notification settings.

#### notificationSettings

    public TdApi.NotificationSettings notificationSettings

The new notification settings for the given scope.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetNotificationSettings

    public SetNotificationSettings()

Default constructor.

#### SetNotificationSettings

    public SetNotificationSettings​(TdApi.NotificationSettingsScope scope,
                                   TdApi.NotificationSettings notificationSettings)

Constructor for initialization of all fields.

Parameters:
  `scope` - Scope for which to change the notification settings.
  `notificationSettings` - The new notification settings for the given scope.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR